Gentoo Archives: gentoo-catalyst

From: Matt Turner <mattst88@g.o>
To: gentoo-catalyst@l.g.o
Cc: Matt Turner <mattst88@g.o>
Subject: [gentoo-catalyst] [PATCH 6/9] targets: Remove || exit 1 from run_merge invocations
Date: Sat, 16 May 2020 06:53:35
Message-Id: 20200516065317.2678080-6-mattst88@gentoo.org
In Reply to: [gentoo-catalyst] [PATCH 1/9] targets: Remove clst_my* prefix by Matt Turner
1 run_merge itself executes exit 1 if it fails, so this is dead code.
2
3 Signed-off-by: Matt Turner <mattst88@g.o>
4 ---
5 targets/stage2/preclean-chroot.sh | 6 +++---
6 targets/stage3/preclean-chroot.sh | 4 ++--
7 targets/support/chroot-functions.sh | 8 ++++----
8 targets/support/kmerge.sh | 6 +++---
9 4 files changed, 12 insertions(+), 12 deletions(-)
10
11 diff --git a/targets/stage2/preclean-chroot.sh b/targets/stage2/preclean-chroot.sh
12 index 3b693d81..84b267ec 100755
13 --- a/targets/stage2/preclean-chroot.sh
14 +++ b/targets/stage2/preclean-chroot.sh
15 @@ -11,15 +11,15 @@ cleanup_stages
16
17 if [ -n "${clst_CCACHE}" ]
18 then
19 - run_merge -C dev-util/ccache || exit 1
20 + run_merge -C dev-util/ccache
21 fi
22
23 if [ -n "${clst_DISTCC}" ]
24 then
25 - run_merge -C sys-devel/distcc || exit 1
26 + run_merge -C sys-devel/distcc
27 fi
28
29 if [ -n "${clst_ICECREAM}" ]
30 then
31 - run_merge -C sys-devel/icecream || exit 1
32 + run_merge -C sys-devel/icecream
33 fi
34 diff --git a/targets/stage3/preclean-chroot.sh b/targets/stage3/preclean-chroot.sh
35 index 33a700a6..1d801572 100755
36 --- a/targets/stage3/preclean-chroot.sh
37 +++ b/targets/stage3/preclean-chroot.sh
38 @@ -13,11 +13,11 @@ if [ -n "${clst_DISTCC}" ]
39 then
40 portageq has_version / sys-devel/distcc
41 if [ $? == 0 ]; then
42 - run_merge -C sys-devel/distcc || exit 1
43 + run_merge -C sys-devel/distcc
44 fi
45 fi
46
47 if [ -n "${clst_ICECREAM}" ]
48 then
49 - run_merge -C sys-devel/icecream || exit 1
50 + run_merge -C sys-devel/icecream
51 fi
52 diff --git a/targets/support/chroot-functions.sh b/targets/support/chroot-functions.sh
53 index b7969607..488041fe 100755
54 --- a/targets/support/chroot-functions.sh
55 +++ b/targets/support/chroot-functions.sh
56 @@ -83,7 +83,7 @@ setup_features() {
57 if [ -n "${clst_CCACHE}" ]
58 then
59 features+=(ccache)
60 - clst_root_path=/ run_merge --oneshot --noreplace dev-util/ccache || exit 1
61 + clst_root_path=/ run_merge --oneshot --noreplace dev-util/ccache
62 fi
63
64 if [ -n "${clst_DISTCC}" ]
65 @@ -98,9 +98,9 @@ setup_features() {
66 # reinstall if it isn't found.
67 if [ "$(getent passwd distcc | cut -d: -f1)" != "distcc" ]
68 then
69 - clst_root_path=/ run_merge --oneshot sys-devel/distcc || exit 1
70 + clst_root_path=/ run_merge --oneshot sys-devel/distcc
71 else
72 - clst_root_path=/ run_merge --oneshot --noreplace sys-devel/distcc || exit 1
73 + clst_root_path=/ run_merge --oneshot --noreplace sys-devel/distcc
74 fi
75 sed -i '/USE="${USE} -avahi -gtk -gnome"/d' ${clst_make_conf}
76 mkdir -p /etc/distcc
77 @@ -119,7 +119,7 @@ setup_features() {
78
79 if [ -n "${clst_ICECREAM}" ]
80 then
81 - clst_root_path=/ run_merge --oneshot --noreplace sys-devel/icecream || exit 1
82 + clst_root_path=/ run_merge --oneshot --noreplace sys-devel/icecream
83
84 # This sets up automatic cross-icecc-fu according to
85 # http://www.gentoo-wiki.info/HOWTO_Setup_An_ICECREAM_Compile_Cluster
86 diff --git a/targets/support/kmerge.sh b/targets/support/kmerge.sh
87 index e92072bb..3629be57 100755
88 --- a/targets/support/kmerge.sh
89 +++ b/targets/support/kmerge.sh
90 @@ -212,7 +212,7 @@ then
91
92 # install dependencies of kernel sources ahead of time in case
93 # package.provided generated below causes them not to be (re)installed
94 - PKGDIR=${PKGDIR} run_merge --onlydeps "${clst_ksource}" || exit 1
95 + PKGDIR=${PKGDIR} run_merge --onlydeps "${clst_ksource}"
96
97 # Create the kerncache directory if it doesn't exists
98 mkdir -p /tmp/kerncache/${clst_kname}
99 @@ -236,7 +236,7 @@ then
100
101 [ -L /usr/src/linux ] && rm -f /usr/src/linux
102
103 - PKGDIR=${PKGDIR} run_merge "${clst_ksource}" || exit 1
104 + PKGDIR=${PKGDIR} run_merge "${clst_ksource}"
105
106 SOURCESDIR="/tmp/kerncache/${clst_kname}/sources"
107 if [ -L /usr/src/linux ]
108 @@ -269,7 +269,7 @@ then
109 fi
110
111 else
112 - run_merge "${clst_ksource}" || exit 1
113 + run_merge "${clst_ksource}"
114 #ensure that there is a /usr/src/linux symlink and it points to the sources we just installed
115 echo "Adjusting /usr/src/linux to point to \
116 $(portageq contents / $(portageq best_visible / "${clst_ksource}" 2>/dev/null) 2>/dev/null | grep --color=never '/usr/src/' | head -n1 2>/dev/null)"
117 --
118 2.26.2